1. pkgname=flexget
  2. _pkgname=FlexGet
  3. pkgver=1.2.33
  4. pkgrel=1
  5. pkgdesc="Automate downloading or processing content (torrents, podcasts, etc.)"
  6. arch=(any)
  7. url="http://flexget.com/"
  8. license=('MIT')
  9. depends=('python2'
  10. # documented in FlexGet.egg-info/requires.txt
  11. 'python2-feedparser>=5.1.3'
  12. 'python2-sqlalchemy>=0.9.1'
  13. 'python2-yaml'
  14. 'python2-beautifulsoup4<4.4'
  15. 'python2-html5lib>=0.11'
  16. 'python2-pyrss2gen' #AUR#
  17. 'python2-progressbar'
  18. 'python2-rpyc' #AUR#
  19. 'python2-jinja'
  20. 'python2-requests>=1.0'
  21. 'python2-dateutil=2.1'
  22. 'python2-jsonschema>=2.0' #AUR#
  23. 'python2-tvrage' #AUR#
  24. 'python2-tmdb3' #AUR#
  25. # undocumented in FlexGet.egg-info/requires.txt
  26. 'python2-certifi>=0.0.7' #AUR# # possibly required by python2-requests
  27. )
  28. optdepends=('python2-guppy: for memusage plugin' #AUR#
  29. 'python2-transmissionrpc: Transmission support' #AUR#
  30. 'python2-cherrypy: web interface'
  31. 'python2-flask: web interface'
  32. 'python2-pynzb: nzb support')
  33. makedepends=('python2-distribute')
  34. source=("http://download.flexget.com/${_pkgname}-${pkgver}.tar.gz")
  35. md5sums=('3b0a5a994c599e07a0751eaceb047d56')
  36. package() {
  37. cd "${srcdir}/${_pkgname}-${pkgver}"
  38. python2 setup.py install --root="${pkgdir}/" optimize=1
  39. install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
  40. }
Comments powered by Disqus